<template>
  <v-list>
    <v-list-item
      v-for="item in items"
      :key="item.id"
    >
      <v-list-item-content>
        <v-list-item-title>
          <span class="text-body-1">
            {{ hashId({ id: item.id }) }}
          </span>
          <span class="text-body-1">
            código de pallet (UM):
          </span>
          <span class="text-body-1 font-weight-bold">
            {{ item.code }}
          </span>
        </v-list-item-title>
      </v-list-item-content>
    </v-list-item>
  </v-list>
</template>

<script>
import { hashId } from '~/helpers/format/ids';

export default {
  name: 'Items',
  props: {
    items: {
      type: Array,
      default: () => [],
    },
  },
  methods: {
    hashId,
  },
};
</script>
